Skip to main content
POST
/
v4
/
account
/
api-keys
/
{id}
/
regenerate
Regenerate API key
curl --request POST \
  --url https://api.proxyscrape.com/v4/account/api-keys/{id}/regenerate \
  --header 'api-token: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "permissions": [
    "<string>"
  ],
  "allowed_subaccounts": [
    "<string>"
  ],
  "allowed_ips": [
    "<string>"
  ],
  "expires_at": 123,
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "token": "<string>"
}

Authorizations

api-token
string
header
required

API key. Create and manage keys at /v4/account/api-keys or in the dashboard.

Path Parameters

id
string<uuid>
required

Response

200 - application/json

New secret (returned only once)

id
string<uuid>
name
string
permissions
string[]
allowed_subaccounts
string[]
allowed_ips
string[]
expires_at
integer | null
is_active
boolean
created_at
string<date-time>
updated_at
string<date-time>
token
string

64-character secret. Only returned once at creation.